| OpenCV 3.4.1 Open Source Computer Vision

Classes | Typedefs | Enumerations | Functions
cv::instr Namespace Reference

## Classes
class | NodeData
struct | NodeDataTls

## Typedefs
typedef Node< NodeData > | InstrNode

## Enumerations
enum | FLAGS { FLAGS_NONE = 0, FLAGS_MAPPING = 0x01, FLAGS_EXPAND_SAME_NAMES = 0x02 }
enum | IMPL { IMPL_PLAIN = 0, IMPL_IPP, IMPL_OPENCL }
enum | TYPE { TYPE_GENERAL = 0, TYPE_MARKER, TYPE_WRAPPER, TYPE_FUN }

## Functions
FLAGS | getFlags ()
InstrNode * | getTrace ()
bool | operator== (const NodeData &lhs, const NodeData &rhs)
void | resetTrace ()
void | setFlags (FLAGS modeFlags)
static void | setFlags (int modeFlags)
void | setUseInstrumentation (bool flag)
bool | useInstrumentation ()

## Typedef Documentation

## § InstrNode

typedef Node<NodeData> cv::instr::InstrNode

## Enumeration Type Documentation

## § FLAGS

enum cv::instr::FLAGS

Enumerator
FLAGS_NONE Python: cv.instr.FLAGS_NONE |
FLAGS_MAPPING Python: cv.instr.FLAGS_MAPPING |
FLAGS_EXPAND_SAME_NAMES Python: cv.instr.FLAGS_EXPAND_SAME_NAMES |

## § IMPL

enum cv::instr::IMPL

Enumerator
IMPL_PLAIN Python: cv.instr.IMPL_PLAIN |
IMPL_IPP Python: cv.instr.IMPL_IPP |
IMPL_OPENCL Python: cv.instr.IMPL_OPENCL |

## § TYPE

enum cv::instr::TYPE

Enumerator
TYPE_GENERAL Python: cv.instr.TYPE_GENERAL |
TYPE_MARKER Python: cv.instr.TYPE_MARKER |
TYPE_WRAPPER Python: cv.instr.TYPE_WRAPPER |
TYPE_FUN Python: cv.instr.TYPE_FUN |

## Function Documentation

## § getFlags()

FLAGS cv::instr::getFlags | ( |  | ) |

## § getTrace()

InstrNode* cv::instr::getTrace | ( |  | ) |

## § operator==()

bool cv::instr::operator== | ( | const NodeData & | lhs,
|  | const NodeData & | rhs
| ) |  |

## § resetTrace()

void cv::instr::resetTrace | ( |  | ) |

## § setFlags() [1/2]

void cv::instr::setFlags | ( | FLAGS | modeFlags | ) |

## § setFlags() [2/2]

static void cv::instr::setFlags | ( | int | modeFlags | ) |
| inline static

## § setUseInstrumentation()

void cv::instr::setUseInstrumentation | ( | bool | flag | ) |

## § useInstrumentation()

bool cv::instr::useInstrumentation | ( |  | ) |